<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* tfa.twig */
class __TwigTemplate_560cef8e0136a7030d62aa506ccf1aea9b98f5c46788d4ce8d4462c810028ede extends \Twig\Template
{
    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->parent = false;

        $this->blocks = [
        ];
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        // line 1
        echo "<!DOCTYPE html>
<html lang=\"en\">
<head>
    <title>";
        // line 4
        echo twig_escape_filter($this->env, $this->getAttribute(($context["theme"] ?? null), "getThemeConfig", [0 => "theme_title"], "method"), "html", null, true);
        echo "</title>
    <meta charset=\"utf-8\">
    <meta http-equiv=\"X-UA-Compatible\" content=\"IE=edge\">
    <meta name=\"viewport\" content=\"width=device-width, initial-scale=1\">
    <meta name=\"token\" content=\"";
        // line 8
        echo twig_escape_filter($this->env, ($context["csrfToken"] ?? null), "html", null, true);
        echo "\"/>
    <meta name=\"public-path\" content=\"";
        // line 9
        echo twig_escape_filter($this->env, $this->getAttribute(($context["theme"] ?? null), "rootUri", [], "method"), "html", null, true);
        echo "\"/>
    <link rel=\"shortcut icon\" href=\"";
        // line 10
        echo twig_escape_filter($this->env, $this->getAttribute(($context["theme"] ?? null), "uri", [0 => "img/favicon.ico"], "method"), "html", null, true);
        echo "\" />

    <!-- Import CSS bundle from dist -->
    <script src=\"";
        // line 13
        echo twig_escape_filter($this->env, $this->getAttribute(($context["theme"] ?? null), "rootUri", [], "method"), "html", null, true);
        echo "dist/style.bundle.min.js?";
        echo twig_escape_filter($this->env, ($context["version"] ?? null), "html", null, true);
        echo "\"></script>

    <!-- Copyright 2006-2019 Spring Signage Ltd. Part of the Xibo Open Source Digital Signage Solution. Released under the AGPLv3 or later. -->
    <style type=\"text/css\">
        body {
            padding-top: 40px;
            padding-bottom: 40px;
            background-color: #f5f5f5;
        }

        .form-signin {
            max-width: 300px;
            padding: 19px 29px 29px;
            margin: 0 auto 20px;
            background-color: #fff;
            border: 1px solid #e5e5e5;
            -webkit-border-radius: 5px;
            -moz-border-radius: 5px;
            border-radius: 5px;
            -webkit-box-shadow: 0 1px 2px rgba(0,0,0,.05);
            -moz-box-shadow: 0 1px 2px rgba(0,0,0,.05);
            box-shadow: 0 1px 2px rgba(0,0,0,.05);
        }
        .form-signin .form-signin-heading,
        .form-signin .checkbox {
            margin-bottom: 10px;
        }
        .form-signin input[type=\"text\"],
        .form-signin input[type=\"password\"] {
            font-size: 16px;
            height: auto;
            margin-bottom: 15px;
            padding: 7px 9px;
        }
        .login-logo {
            width: 200px;
        }

    </style>
</head>
<body>
<div class=\"container\">
        <form id=\"login-form\" class=\"form-signin text-center\" action=\"";
        // line 55
        echo twig_escape_filter($this->env, $this->env->getExtension('Slim\Views\TwigExtension')->urlFor("tfa.auth.validate"), "html", null, true);
        echo "\" method=\"post\">
            <input name=\"priorRoute\" type=\"hidden\" value=\"";
        // line 56
        echo twig_escape_filter($this->env, $this->getAttribute(($context["flash"] ?? null), "priorRoute", []), "html", null, true);
        echo "\" />
            <input type=\"hidden\" name=\"";
        // line 57
        echo twig_escape_filter($this->env, ($context["csrfKey"] ?? null), "html", null, true);
        echo "\" value=\"";
        echo twig_escape_filter($this->env, ($context["csrfToken"] ?? null), "html", null, true);
        echo "\" />
            <p><a href=\"";
        // line 58
        echo twig_escape_filter($this->env, $this->getAttribute(($context["theme"] ?? null), "getThemeConfig", [0 => "theme_url"], "method"), "html", null, true);
        echo "\"><img class=\"login-logo\" src=\"";
        echo twig_escape_filter($this->env, $this->getAttribute(($context["theme"] ?? null), "uri", [0 => "img/xibologo.png"], "method"), "html", null, true);
        echo "\"></a></p>

            <p>";
        // line 60
        echo __("Please provide your Two Factor Authorisation Code");
        echo "</p>
            <input id=\"code\" class=\"form-control input-block-level\" name=\"code\" type=\"text\" placeholder=\"";
        // line 61
        echo __("Code");
        echo "\" autofocus>

            ";
        // line 63
        if ($this->getAttribute(($context["flash"] ?? null), "login_message", [])) {
            // line 64
            echo "                <div class=\"alert alert-danger\">";
            echo twig_escape_filter($this->env, $this->getAttribute(($context["flash"] ?? null), "login_message", []), "html", null, true);
            echo "</div>
            ";
        }
        // line 66
        echo "
            <p><button class=\"btn btn-large btn-primary\" type=\"submit\">";
        // line 67
        echo __("Verify");
        echo "</button></p>

            <p><a href=\"#\" id=\"recovery-form-toggle\">";
        // line 69
        echo __("Use Recovery Code instead?");
        echo "</a></p>
        </form>

    <form id=\"recovery-form\" class=\"form-signin text-center hidden\" action=\"";
        // line 72
        echo twig_escape_filter($this->env, $this->env->getExtension('Slim\Views\TwigExtension')->urlFor("tfa.auth.validate"), "html", null, true);
        echo "\" method=\"post\">
        <input type=\"hidden\" name=\"";
        // line 73
        echo twig_escape_filter($this->env, ($context["csrfKey"] ?? null), "html", null, true);
        echo "\" value=\"";
        echo twig_escape_filter($this->env, ($context["csrfToken"] ?? null), "html", null, true);
        echo "\" />
        <p><a href=\"";
        // line 74
        echo twig_escape_filter($this->env, $this->getAttribute(($context["theme"] ?? null), "getThemeConfig", [0 => "theme_url"], "method"), "html", null, true);
        echo "\"><img class=\"login-logo\" src=\"";
        echo twig_escape_filter($this->env, $this->getAttribute(($context["theme"] ?? null), "uri", [0 => "img/xibologo.png"], "method"), "html", null, true);
        echo "\"></a></p>

        <p>";
        // line 76
        echo __("Please provide your Two Factor Authorisation Recovery Code");
        echo "</p>
        <input id=\"recoveryCode\" class=\"form-control input-block-level\" name=\"recoveryCode\" type=\"text\" placeholder=\"";
        // line 77
        echo __("Recovery Code");
        echo "\" autofocus>

        ";
        // line 79
        if ($this->getAttribute(($context["flash"] ?? null), "login_message", [])) {
            // line 80
            echo "            <div class=\"alert alert-danger\">";
            echo twig_escape_filter($this->env, $this->getAttribute(($context["flash"] ?? null), "login_message", []), "html", null, true);
            echo "</div>
        ";
        }
        // line 82
        echo "
        <p><button class=\"btn btn-large btn-primary\" type=\"submit\">";
        // line 83
        echo __("Verify");
        echo "</button></p>

        <p><a href=\"#\" id=\"login-form-toggle\">";
        // line 85
        echo __("Use Two Factor Code instead?");
        echo "</a></p>
    </form>
</div>
<!-- Import JS bundle from dist -->
<script src=\"";
        // line 89
        echo twig_escape_filter($this->env, $this->getAttribute(($context["theme"] ?? null), "rootUri", [], "method"), "html", null, true);
        echo "dist/vendor.bundle.min.js?";
        echo twig_escape_filter($this->env, ($context["version"] ?? null), "html", null, true);
        echo "\"></script>
<script type=\"text/javascript\">
    \$(function() {
        \$(\"#recovery-form-toggle\").on(\"click\", function (e) {
            e.preventDefault();

            \$(\"#login-form\").addClass(\"hidden\");
            \$(\"#recovery-form\").removeClass(\"hidden\");
        });

        \$(\"#login-form-toggle\").on(\"click\", function (e) {
            e.preventDefault();

            \$(\"#login-form\").removeClass(\"hidden\");
            \$(\"#recovery-form\").addClass(\"hidden\");
        });
    });
</script>
</body>
</html>
";
    }

    public function getTemplateName()
    {
        return "tfa.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  204 => 89,  197 => 85,  192 => 83,  189 => 82,  183 => 80,  181 => 79,  176 => 77,  172 => 76,  165 => 74,  159 => 73,  155 => 72,  149 => 69,  144 => 67,  141 => 66,  135 => 64,  133 => 63,  128 => 61,  124 => 60,  117 => 58,  111 => 57,  107 => 56,  103 => 55,  56 => 13,  50 => 10,  46 => 9,  42 => 8,  35 => 4,  30 => 1,);
    }

    /** @deprecated since 1.27 (to be removed in 2.0). Use getSourceContext() instead */
    public function getSource()
    {
        @trigger_error('The '.__METHOD__.' method is deprecated since version 1.27 and will be removed in 2.0. Use getSourceContext() instead.', E_USER_DEPRECATED);

        return $this->getSourceContext()->getCode();
    }

    public function getSourceContext()
    {
        return new Source("", "tfa.twig", "/home/mgatv524/public_html/edurocha/views/tfa.twig");
    }
}
